Ecore_Audio - Convenience audio API
Ecore

## Topics

- Base Ecore_Audio object

- Ecore_Audio input object

- Ecore_Audio sndfile input

- Ecore_Audio tone input

- Ecore_Audio output object

- Ecore_Audio pulseaudio output

- Ecore_Audio sndfile output

- Ecore_Audio wasapi output

## Data Structures

struct | _Ecore_Audio_Vio

## Typedefs

typedef enum _Ecore_Audio_Type | Ecore_Audio_Type
typedef struct _Ecore_Audio_Module | Ecore_Audio_Module
| The audio module.
typedef struct _Ecore_Audio_Object | Ecore_Audio_Object
| The audio object.
typedef struct _Ecore_Audio_Vio | Ecore_Audio_Vio
| Holds the callback functions to implement virtual file IO.

## Enumerations

enum | _Ecore_Audio_Type { ECORE_AUDIO_TYPE_PULSE , ECORE_AUDIO_TYPE_ALSA , ECORE_AUDIO_TYPE_SNDFILE , ECORE_AUDIO_TYPE_TONE , ECORE_AUDIO_TYPE_CORE_AUDIO , ECORE_AUDIO_TYPE_CUSTOM , ECORE_AUDIO_TYPE_WASAPI , ECORE_AUDIO_MODULE_LAST }

## Functions

ECORE_AUDIO_API int | ecore_audio_init (void)
| Initializes the Ecore_Audio library.
ECORE_AUDIO_API int | ecore_audio_shutdown (void)
| Shuts down the Ecore_Audio library.
ECORE_AUDIO_API const char * | ecore_audio_obj_name_get (const Efl_Object *obj)
| Get the name of the object.
ECORE_AUDIO_API void | ecore_audio_obj_name_set (Efl_Object *obj, const char *name)
| Name of the object.

## Detailed Description

Since
  1.8

## Typedef Documentation

## Ecore_Audio_Type

typedef enum _Ecore_Audio_Type Ecore_Audio_Type

Since
  1.8

## Ecore_Audio_Module

typedef struct _Ecore_Audio_Module Ecore_Audio_Module

The audio module.

Since
  1.8

## Ecore_Audio_Object

typedef struct _Ecore_Audio_Object Ecore_Audio_Object

The audio object.

Since
  1.8

## Ecore_Audio_Vio

typedef struct _Ecore_Audio_Vio Ecore_Audio_Vio

Holds the callback functions to implement virtual file IO.

Since
  1.8

## Enumeration Type Documentation

## _Ecore_Audio_Type

enum _Ecore_Audio_Type

Since
  1.8

Enumerator
ECORE_AUDIO_TYPE_PULSE | Use Pulseaudio module.
ECORE_AUDIO_TYPE_ALSA | Use ALSA module.
ECORE_AUDIO_TYPE_SNDFILE | Use libsndfile module.
ECORE_AUDIO_TYPE_TONE | Use tone module.
ECORE_AUDIO_TYPE_CORE_AUDIO | Use Core Audio module (Apple) - DEPRECATED.
ECORE_AUDIO_TYPE_CUSTOM | Use custom module.

ECORE_AUDIO_TYPE_WASAPI

Use Wasapi module.

Since
  1.21

ECORE_AUDIO_MODULE_LAST | Sentinel.

## Function Documentation

## ecore_audio_init()

ECORE_AUDIO_API int ecore_audio_init | ( | void |  | ) |

Initializes the Ecore_Audio library.

Returns
  `1` or greater on success, `0` on error.

Since
  1.8

This function sets up Ecore_Audio and initializes the modules that provide the in- and outputs to use. It returns 0 on failure, otherwise it returns the number of times it has already been called.

When Ecore_Audio is not used anymore, call ecore_audio_shutdown() to shut down the Ecore_Audio library.

References DBG, ecore_init(), ecore_shutdown(), eina_log_domain_register(), EINA_LOG_ERR, EINA_LOG_STATE_INIT, EINA_LOG_STATE_STOP, and eina_log_timing().

## ecore_audio_shutdown()

ECORE_AUDIO_API int ecore_audio_shutdown | ( | void |  | ) |

Shuts down the Ecore_Audio library.

Returns
  `0` when the library is completely shut down, `1` or greater otherwise.

Since
  1.8

This function shuts down the Ecore_Audio library. It returns 0 when it has been called the same number of times than ecore_audio_init(). In that case it shuts down all the services it uses.

References DBG, ecore_shutdown(), eina_list_free(), eina_log_domain_unregister(), EINA_LOG_STATE_SHUTDOWN, EINA_LOG_STATE_START, and eina_log_timing().

## ecore_audio_obj_name_get()

ECORE_AUDIO_API const char * ecore_audio_obj_name_get | ( | const Efl_Object * | obj | ) |

Get the name of the object.

Since
  1.8

## ecore_audio_obj_name_set()

ECORE_AUDIO_API void ecore_audio_obj_name_set | ( | Efl_Object * | obj,
|  | const char * | name )

Name of the object.

Since
  1.8